From: Unknown
Subject: Adjust ANT build proterties, like using more memory.

---
 build.xml |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

--- a/build.xml
+++ b/build.xml
@@ -51,7 +51,7 @@
 		<tstamp />
 		<property name="version"        value="1.7.1" />
 		<property name="build.compiler" value="javac1.5" />
-		<property name="classpath"      value="bytecode.jar:commons-cli.jar:commons-collections-2.1.jar:commons-dbcp-1.1.jar:commons-pool-1.1.jar:hsqldb.jar:jgrapht-jdk1.5.jar:junit-4.4.jar" />
+		<property name="classpath"      value="/usr/share/java/bytecode.jar:/usr/share/java/commons-cli.jar:/usr/share/java/commons-collections.jar:/usr/share/java/commons-dbcp.jar:/usr/share/java/commons-pool.jar:/usr/share/java/hsqldb.jar:/usr/share/java/jgrapht-0.7.jar:/usr/share/java/junit4.jar" />
 		<property name="ant-tasks.path" value="ant-lib/sablecc.jar:ant-lib/anttask.jar" />
 
 
@@ -401,7 +401,7 @@
       source="1.5"
       windowtitle="${Name.biojava}-${version} API"
       doctitle="${Name.biojava}-${version}"
-      maxmemory="96m">
+      maxmemory="512m">
 			<link href="http://java.sun.com/j2se/1.5.0/docs/api/" offline="false"/>
 
 			<group title="Core biological packages"
@@ -464,7 +464,7 @@
       source="1.5"
       windowtitle="${Name.demos} API"
       doctitle="${Name.demos}"
-      maxmemory="96m">
+      maxmemory="512m">
 			<link href="http://java.sun.com/j2se/1.5.0/docs/api/" offline="false"/>
 			<link href="../biojava" offline="true" packagelistLoc="${build.docs.biojava}/package-list}"/>
 		</javadoc>
@@ -485,7 +485,7 @@
       source="1.5"
       windowtitle="${Name.apps} API"
       doctitle="${Name.apps}"
-      maxmemory="96m">
+      maxmemory="512m">
 			<link href="http://java.sun.com/j2se/1.5.0/docs/api/" offline="false"/>
 			<link href="../biojava" offline="true" packagelistLoc="${build.docs.biojava}/package-list}"/>
 			
@@ -507,7 +507,7 @@
   	  description="Run all tests, can be quite slow">
 		<property name="test.subtree" value="**" />
 		<echo message="Running tests:           ${test.subtree}" />
-		<junit maxmemory="128m" printsummary="yes" haltonfailure="no" reloading="no">
+		<junit maxmemory="512m" printsummary="yes" haltonfailure="no" reloading="no">
 			<formatter type="plain" usefile="true" />
 			<classpath>
 				<!-- main classes from build -->
@@ -547,7 +547,7 @@
       classpath="${classpath}"
       destdir="${build.doccheck.biojava}"
       source="1.5"
-      maxmemory="96m">
+      maxmemory="512m">
 		</javadoc>
 	</target>
 
@@ -558,7 +558,7 @@
           description="Run clean, build and tests for CruiseControl">
 		<property name="test.subtree" value="**" />
 		<echo message="Running tests:           ${test.subtree}" />
-		<junit 	maxmemory="128m" 
+		<junit 	maxmemory="512m" 
     		printsummary="yes" 
 		haltonfailure="no" 
 		reloading="no"
